Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.noding
Class SegmentNodeList

    java.lang.Object
      com.vividsolutions.jts.noding.SegmentNodeList

    public class SegmentNodeList

extends java.lang.Object

A list of the `SegmentNode`s present along a noded `SegmentString`.

Version:
  1.7

Constructor Summary
`SegmentNodeList(NodedSegmentString edge)`

Method Summary
`SegmentNode` | `add(Coordinate intPt, int segmentIndex)` Adds an intersection into the list, if it isn't already there.
`void` | `addSplitEdges(java.util.Collection edgeList)` Creates new edges for all the edges that the intersections in this list split the parent edge into.
`NodedSegmentString` | `getEdge()`
`java.util.Iterator` | `iterator()` returns an iterator of SegmentNodes
`void` | `print(java.io.PrintStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentNodeList

    public SegmentNodeList(NodedSegmentString edge)

Method Detail

### getEdge

    public NodedSegmentString getEdge()

### add

    public SegmentNode add(Coordinate intPt,
                           int segmentIndex)

  Adds an intersection into the list, if it isn't already there. The input segmentIndex and dist are expected to be normalized.

  Returns:
    the SegmentIntersection found or added

### iterator

    public java.util.Iterator iterator()

  returns an iterator of SegmentNodes

### addSplitEdges

    public void addSplitEdges(java.util.Collection edgeList)

  Creates new edges for all the edges that the intersections in this list split the parent edge into. Adds the edges to the provided argument list (this is so a single list can be used to accumulate all split edges for a set of `SegmentString`s).

### print

    public void print(java.io.PrintStream out)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD